#! /usr/bin/env bash

set -e

replace_var()
{
  file="${1}"
  var="${2}"
  sed -e "s?${var}?${!var}?g" -i "${file}"
}

replace_vars()
{
  file="${1}"
  for var in $(cat /etc/vars-vars)
  do
    replace_var "${file}" "${var}"
  done
}

replace_files()
{
  for file in $(cat /etc/vars-files)
  do
    replace_vars "${file}"
  done
}

export ROUNDCUBEMAIL_DB_TYPE="pgsql"
export ROUNDCUBEMAIL_DB_HOST="${POSTGRES_HOST}"
export ROUNDCUBEMAIL_DB_USER="${POSTGRES_USER}"
export ROUNDCUBEMAIL_DB_PASSWORD="${POSTGRES_PASSWORD}"
export ROUNDCUBEMAIL_DB_NAME="${POSTGRES_DB}"
export ROUNDCUBEMAIL_SMTP_SERVER="${SMTP_HOST}"
export ROUNDCUBEMAIL_DEFAULT_HOST="${IMAP_HOST}"
export ROUNDCUBEMAIL_PLUGINS="attachment_reminder,managesieve,password,zipdownload,automatic_addressbook,html5_notifier,authres_status"
export ROUNDCUBEMAIL_DES_KEY="${DES_KEY}"
export ROUNDCUBEMAIL_UPLOAD_MAX_FILESIZE="50M"

/docker-entrypoint.sh apache2-fake

replace_files

exec "${@}"
